#!/bin/sh
#  bubbbs.sh - 18 Nov 2001 - Robert J. Clay
#  Back up bbbs config files to both private & public areas
#
ZIPPATH=/var/local/pub/ftn/comm/bbbs/bbbsl_sh
cd /opt/bbbs
touch /opt/bbbs/work/bubbbs.day
# save a copy of the configs & scripts to a private file
zip -q bu/configs groups
zip -q bu/configs brobo.wht
zip -q bu/configs bterm.pho
zip -q bu/configs magic.list
zip -q bu/configs main/bbbsuser.dat
zip -q bu/configs *bbb feelings/*bbb menus/*bbb scripts/*bbb
zip -q bu/configs bbbscfg4.*
zip -q bu/configs bbbs.key*
zip -q bu/configs *sh bin/*
zip -q bu/configs filed*
zip -q bu/configs bu/crontab*
zip -q bu/configs htdocs/* 
#  save a copy of the shell scripts I use to a publicly available file
zip -q $ZIPPATH *sh bin/*sh bin/run* bin/in.* bin/README
#  add check for day of week to do a weekly backup?