#!/bin/sh
# do-mid.sh - 7 July 2001 - R.J. Clay
# run midnight maintenance scripts, started by cron
#
cd /opt/bbbs
#  save the most used logs files as *day files, uncompressed, so that the
# previous days' logs are always available.
mv /var/log/bbbs/ftn /var/log/bbbs/ftn.day
mv /var/log/bbbs/inet /var/log/bbbs/inet.day
mv /opt/bbbs/nohup.out /var/log/bbbs/process.day
mv /var/log/bbbs/log1 /var/log/bbbs/log1.day
mv /var/log/bbbs/log2 /var/log/bbbs/log2.day
mv /var/log/bbbs/log3 /var/log/bbbs/log3.day
mv /var/log/bbbs/log4 /var/log/bbbs/log4.day
mv /var/log/bbbs/log5 /var/log/bbbs/log5.day
mv /var/log/bbbs/log6 /var/log/bbbs/log6.day
mv /var/log/bbbs/log7 /var/log/bbbs/log7.day
mv /var/log/bbbs/binkd /var/log/bbbs/binkd.day
mv /var/log/bbbs/ifcico.log /var/log/bbbs/ifcico.day
mv /var/log/bbbs/ifcico.debug /var/log/bbbs/ifdebug.day
#  now run the individual maintenance scripts for each node in the background
nohup /opt/bbbs/bin/midnight1.sh &
nohup /opt/bbbs/bin/midnight2.sh &
#  Run tic-in.sh daily
nohup /opt/bbbs/bin/tic-in.sh &

