#!/bin/sh
# midnight1.sh - 21 Jan 2001 - Robert J. Clay 
#	bbbs daily maintenance at midnight
#
cd /opt/bbbs

# Update birthday list
./bbbs bdate
#
nohup /opt/bbbs/bin/bconfday.sh &
# archive yesterday's logs by date
cd /var/log/bbbs
# get 4 digit year
YEAR=`date -d '1 day ago' +.%Y`
#echo "year is "$YEAR
# get short day of the week, then numerical month & day of month
DAYMONTH=`date -d '1 day ago' +.%a.%m.%d`
#echo "daymonth is "$DAYMONTH
# rename logs w/ day & month extensions
##LOGFILE=log1$DAYMONTH
#echo "logfile is "$LOGFILE
cp inet.day inet$DAYMONTH 
cp ftn.day ftn$DAYMONTH 
cp log1.day log1$DAYMONTH 
cp log2.day log2$DAYMONTH 
cp log3.day log3$DAYMONTH 
cp log4.day log4$DAYMONTH 
cp log5.day log5$DAYMONTH 
cp log6.day log6$DAYMONTH 
cp log7.day log7$DAYMONTH 
cp binkd.day binkd$DAYMONTH 
#cp iflog.day iflog$DAYMONTH 
cp process.day process$DAYMONTH 
#mv process.day process$DAYMONTH 
# save logs to archive
ZIPFILE=RocasaBBBS$YEAR.zip
#echo $ZIPFILE > /var/log/bbbs/ZipFileName
#zip -jmqT RocasaBBS$YEAR *$DAYMONTH
zip -jmqT $ZIPFILE *$DAYMONTH


