#!/bin/sh
# osstatwk.sh - 20 Apr 2002 - Robert J. Clay
#
MENUPATH=/opt/bbbs/menus
WORKPATH=/opt/bbbs/work
HTMLPATH=/var/www/org/bbs 
cd /opt/bbbs

#   os.* echos
./bbbs bcstat ^os. -7 |sort -r -o $WORKPATH/bcstat.os.wk 

# post stats locally
./bbbs btxt2bbs rocasa.stats $WORKPATH/bcstat.os.wk /F Sysop /S Weekly Totals for os* echos

# create bulletin
cp $WORKPATH/bcstat.os.wk  $MENUPATH/bull5          


# create html page
echo "<html>" > $WORKPATH/osstatwk.html

echo "<head><title>OS Echo Stats</title></head>" >> $WORKPATH/osstatwk.html

echo "<body bgcolor=#FFFFCC link=#0000FF vlink=#FF0000>"  >> $WORKPATH/osstatwk.html

echo "<h1>Operating System Echo Stats </h1>"  >> $WORKPATH/osstatwk.html

echo "<p>" `date` "</p>"  >> $WORKPATH/osstatwk.html

echo "<p>Here is a listing of the previous 7 days of message traffic in the echos carried here at Rocasa BBBS that I have classified as OS related echos. </p> "  >> $WORKPATH/osstatwk.html

echo "<p> <pre>"  >> $WORKPATH/osstatwk.html

cat $WORKPATH/bcstat.os.wk >> $WORKPATH/osstatwk.html

echo "</pre></p>"  >> $WORKPATH/osstatwk.html

cat $WORKPATH/tail1.tpl >> $WORKPATH/osstatwk.html

cp  $WORKPATH/osstatwk.html $HTMLPATH/osstatwk.html

rm  $WORKPATH/osstatwk.html
#
exit 0

