#!/bin/bash
# tic-in.sh - 8 Mar 2002 - R.J. Clay
#  Daily TIC processing
cd /opt/bbbs
# working properly?
#  1st check if received nodediff
if [ -f main/inbound/nodediff.a?? ]; then
  DIFF=0   #  nodediff received
elif [ -f main/inbound/NODEDIFF.A?? ]; then
  DIFF=0   #  nodediff received
elif [ -f main/inbound/STNLIST.Z?? ]; then
  DIFF=0   #  new STN nodelist received
else
  DIFF=1
fi
#  process incomeing tic's
./bbbs btick
#  post announcements about them, if there were any
if [ -f /opt/bbbs/work/tickinfo.txt ]; then
  ./bbbs btxt2bbs rocasa.stats /opt/bbbs/work/tickinfo.txt /F Sysop /S New Files, Last 24 Hours
  ./bbbs btxt2bbs files.metro /opt/bbbs/work/tickinfo.txt /F Jame Clay /S New Files, Last 24 Hours
  ./bbbs btxt2bbs files.semich /opt/bbbs/work/tickinfo.txt /F Rocasa BBBS /S New Files, Last 24 Hours
  ./bbbs btxt2bbs files.stn /opt/bbbs/work/tickinfo.txt /F Rocasa BBBS /S New Files, Last 24 Hours
  ./bbbs btxt2bbs files.fdn.announce /opt/bbbs/work/tickinfo.txt /F Rocasa BBBS /S New Files, Last 24 Hours
  ./bbbs bogus a
  rm /opt/bbbs/work/tickinfo.txt
fi
#   if nodediff received, process diff & re-compile nodelist
if $DIFF ; then
 /opt/bbbs/bin/updnl.sh
fi
#
/opt/bbbs/bin/glinuxmain.sh




